import type { Maybe } from "./utils.js";
export declare const validCSSColorNames: string[];
export declare function isValidHSL(hslString: string): boolean;
export declare function isValidColorName(colorName: string): boolean;
interface HSLAColor {
    hue: string;
    saturation: string;
    lightness: string;
    alpha: string;
}
export declare function parseHSL(hslString: string): HSLAColor;
export declare function validateHexRGB(rgbString: string): boolean;
export declare function validateFunctionalRGB(rgbString: string): boolean;
interface RGBAColor {
    red: string;
    green: string;
    blue: string;
    alpha: string;
}
export declare function parseRGB(rgbString: string): RGBAColor;
export declare type Color = string | HSLAColor | RGBAColor;
export declare function isValidRGB(rgbString: string): boolean;
export declare function isValidColor(value: string): boolean;
export declare function getColor(value: string): Maybe<string>;
export {};
