import type { Maybe } from './utils.js';
declare type LowercaseCharacter = 'a' | 'b' | 'c' | 'd' | 'e' | 'f' | 'g' | 'h' | 'i' | 'j' | 'k' | 'l' | 'm' | 'n' | 'o' | 'p' | 'q' | 'r' | 's' | 't' | 'u' | 'v' | 'w' | 'x' | 'y' | 'z';
declare type AllCharacter = LowercaseCharacter | Uppercase<LowercaseCharacter>;
declare type NonEmptyString = `${AllCharacter}${string}`;
declare type CSSCustomProperties = `var(--${NonEmptyString})`;
declare type LengthUnit = 'vmin' | 'vmax' | 'vh' | 'vw' | '%' | 'ch' | 'ex' | 'em' | 'rem' | 'in' | 'cm' | 'mm' | 'pt' | 'pc' | 'px';
export declare type CSSLength = `${number}${LengthUnit}` | CSSCustomProperties;
export declare function isCssLength(string_: string): string_ is CSSLength;
export declare function getCssLength(value: string | number): Maybe<CSSLength>;
export declare function joinClasses(...values: string[]): string;
export declare function joinStyles(...values: string[]): string;
export {};
